Bug 1915200

Summary: [OCP 4.7+ OCS 4.6]Arbiter related Note should not show up during UI deployment
Product: OpenShift Container Platform Reporter: Neha Berry <nberry>
Component: Console Storage PluginAssignee: Neha Berry <nberry>
Status: CLOSED ERRATA QA Contact: Neha Berry <nberry>
Severity: high Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, nstielau, nthomas
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:51:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
screencast of the flow depicting the issue none

Description Neha Berry 2021-01-12 09:02:56 UTC
Created attachment 1746563 [details]
screencast of the flow depicting the issue

Description of problem:
=============================
Arbiter mode of deployment is enabled from OCS 4.7 onwards.

hence, if someone attempts to Install OCS 4.6 on an OCP 4.7 cluster, he should not get the following Note on clicking Next in Create Storage Class Page:

++++++++++++++++++++++++++++++++++++++++++++
Create Storage Class
After the volume set and storage class are created you wont be able to go back to this step.
Note: If you wish to use the Arbiter stretch cluster, a minimum of 4 nodes(2 different zones, 2 zones per node) and 1 additional zone with 1 node is required. All nodes must be pre-labeled with zones in order to be validated on cluster creation.

Are you sure you want to continue ?
++++++++++++++++++++++++++++++++++++++++++++++


Version-Release number of selected component (if applicable):
=================================================================
OCP = 4.7.0-0.nightly-2021-01-07-034013
OCS = 4.6.0 (LIVE)

How reproducible:
===================
Always

Steps to Reproduce:
=======================
1. Install latest nightly OCP 4.7
2. Install OCS 4.6 from Operator Hub
3. Navigate to Installed Operators->OCS Operator->Storagecluster tab->Create Storage Cluster -> Internal-Attached Devices
4. The 5 step flow wizard to install OCS comes up

1.Discover Disks
2.Create Storage Class
3.Storage and Nodes
4.Configure
5.Review and Create

5. In 2nd Step-> Create Storage class-> Click Next 

Actual results:
====================
Note related to Arbiter deployment shows up on the screen.

Expected results:
=====================
Arbiter Deployment mode is not supported in OCS 4.6, so even the Note should not be displayed on screen. This can confuse users.


Additional info:

Comment 2 Nick Stielau 2021-01-20 18:40:06 UTC
I don't think we're blocking the release on this one.

Comment 7 errata-xmlrpc 2021-02-24 15:51:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633